Bug 5251 - Saving roaming profiles doesn't work
Saving roaming profiles doesn't work
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x86 Linux
: P3 major
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 04:14 UTC by edv
Modified: 2009-08-03 02:37 UTC (History)
2 users (show)

See Also:


Attachments
Wireshark-Trace (617.06 KB, application/octet-stream)
2008-02-08 04:21 UTC, edv
no flags Details
Output of smbd while windows logoff (55.02 KB, text/plain)
2008-06-27 02:01 UTC, edv
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description edv 2008-02-08 04:14:30 UTC
I tried to use Roaming Profiles in samba 4!
I set the profile path in dsa.msc -->Profile --> Profile path
 -->\\REALM\sysvol\profiles\user
On windows logon, windows creates the user folder but on windows shutdown I get the error "Permission Denied" while saving profile to server!

But I think the Permissions are set right!

After logoff the only files in the \\REALM\sysvol\profiles\user folder are NTUSER.DAT, ntuser.dat.LOG and ntuser.ini
Comment 1 edv 2008-02-08 04:21:04 UTC
Created attachment 3132 [details]
Wireshark-Trace
Comment 2 Andrew Kroeger 2008-05-28 13:20:24 UTC
There was a fix committed to Git last week to address an issues with saving roaming profiles.

Could you please re-check your case using current Git?  Anything after commit 5c5c86683877337ff60526a40e7b689f604e40f8 will include the fixes we are interested in.
Comment 3 Matthias Dieter Wallnöfer 2008-06-20 15:58:04 UTC
No answer for awhile. I'm going to mark this as "FIXED". If the problem persists, please feel free to reopen!
Comment 4 edv 2008-06-27 02:01:15 UTC
Created attachment 3374 [details]
Output of smbd while windows logoff
Comment 5 edv 2008-06-27 02:02:17 UTC
Now I get another error.
Windows tells me on logoff that it can't find file while saving the profile. 
But I don't know which file.
I attached teh output of smbd while windows logoff!
Comment 6 Matthias Dieter Wallnöfer 2008-08-02 08:53:29 UTC
How does it work now?
Comment 7 Matthias Dieter Wallnöfer 2008-09-13 12:58:42 UTC
I've tested your problem myself with SAMBA 4 and Windows 2000 Client and didn't get error messages. However, you are right with the thesis - the storeback doesn't work how it should yet (I missed files on the server).
We need more investigation!
Comment 8 Matthias Dieter Wallnöfer 2008-12-06 06:35:51 UTC
I've now retested the roaming profiles behaviour on SAMBA 4. It seems to have improved through various file server patches. I'm going to close this now.
If you aren't satisfied yet, feel free to reopen!
Comment 9 Matthias Dieter Wallnöfer 2009-08-03 02:37:08 UTC
I think the version numbers for SAMBA 4 Alpha/TP aren't worth to keep since we don't support any versions longer yet. Because all bugs filed will be propagated from version to version until they are fixed (for now at least) this field isn't necessary yet.